Bug 1273771 - [RFE] host name resolution for overcloud hosts
[RFE] host name resolution for overcloud hosts
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: James Slagle
Shai Revivo
: FutureFeature, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 04:22 EDT by Ofer Blaut
Modified: 2017-08-11 22:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ofer Blaut 2015-10-21 04:22:38 EDT
Description of problem:

It will be great to access overcloud hosts by their names and not ip address.





[stack@puma33 ~]$ nova list
+--------------------------------------+------------------------+--------+------------+-------------+---------------------+
| ID                                   | Name                   | Status | Task State | Power State | Networks            |
+--------------------------------------+------------------------+--------+------------+-------------+---------------------+
| d3870dad-7e2f-4039-8542-d5ae350d8d42 | overcloud-compute-0    | ACTIVE | -          | Running     | ctlplane=192.0.2.18 |
| 60fb808c-0208-43ee-9483-286460f44e38 | overcloud-compute-1    | ACTIVE | -          | Running     | ctlplane=192.0.2.15 |
| 26c3bad6-82ad-4299-bcac-0337e3413de7 | overcloud-compute-2    | ACTIVE | -          | Running     | ctlplane=192.0.2.19 |
| dc0a62f5-35f6-461e-a8e2-9f9ca2292231 | overcloud-controller-0 | ACTIVE | -          | Running     | ctlplane=192.0.2.17 |
| 7a06aaf4-d394-4a9c-a64b-63c29f4b0750 | overcloud-controller-1 | ACTIVE | -          | Running     | ctlplane=192.0.2.16 |
| f56a7bc6-aaa9-4eb4-b479-e41d459e2a09 | overcloud-controller-2 | ACTIVE | -          | Running     | ctlplane=192.0.2.14 |
+--------------------------------------+------------------------+--------+------------+-------------+---------------------+
[stack@puma33 ~]$ ping overcloud-compute-0
ping: unknown host overcloud-compute-0
[stack@puma33 ~]$ ^C

[stack@puma33 ~]$ ssh heat-admin@192.0.2.18
Last login: Thu Oct 15 08:43:17 2015 from 192.0.2.1
[heat-admin@overcloud-compute-0 ~]$ 

 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Mike Burns 2016-04-07 16:54:03 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Note You need to log in before you can comment on or make changes to this bug.